Bug 642215 (CVE-2010-3574) - CVE-2010-3574 OpenJDK HttpURLConnection incomplete TRACE permission check (6981426)
Summary: CVE-2010-3574 OpenJDK HttpURLConnection incomplete TRACE permission check (69...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3574
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,source=oracle,public=...
Depends On: 642251 642252 642253 642254 642515 642516 642517 646406 646407 646408 654335 654336 662638 662639 662640 669087 669088
Blocks: 712887
TreeView+ depends on / blocked
 
Reported: 2010-10-12 11:17 UTC by Marc Schoenefeld
Modified: 2019-06-08 13:08 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-10 21:22:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0768 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security and bug fix update 2010-10-13 16:23:43 UTC
Red Hat Product Errata RHSA-2010:0770 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2010-10-14 13:35:50 UTC
Red Hat Product Errata RHSA-2010:0807 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2010-10-27 23:07:22 UTC
Red Hat Product Errata RHSA-2010:0865 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security and bug fix update 2010-11-09 19:05:39 UTC
Red Hat Product Errata RHSA-2010:0873 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2010-11-10 12:10:54 UTC
Red Hat Product Errata RHSA-2010:0935 normal SHIPPED_LIVE Moderate: java-1.4.2-ibm security update 2010-12-01 21:48:52 UTC
Red Hat Product Errata RHSA-2010:0987 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security and bug fix update 2010-12-15 23:45:15 UTC
Red Hat Product Errata RHSA-2011:0152 normal SHIPPED_LIVE Moderate: java-1.4.2-ibm security update 2011-01-17 17:47:40 UTC
Red Hat Product Errata RHSA-2011:0880 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2011-06-16 19:21:49 UTC

Comment 4 Jan Lieskovsky 2010-10-13 15:47:33 UTC
The HttpURLConnection class improperly checked whether the calling code was
granted the "allowHttpTrace" permission, allowing untrusted code to create HTTP
TRACE requests. (CVE-2010-3574) 

The CVSSv2 scored upstream is
cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P

Reference: 
http://www.oracle.com/technetwork/topics/security/javacpuoct2010-176258.html

Comment 5 errata-xmlrpc 2010-10-13 16:24:47 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0768 https://rhn.redhat.com/errata/RHSA-2010-0768.html

Comment 6 errata-xmlrpc 2010-10-14 13:37:27 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0770 https://rhn.redhat.com/errata/RHSA-2010-0770.html

Comment 8 errata-xmlrpc 2010-10-27 23:08:21 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0807 https://rhn.redhat.com/errata/RHSA-2010-0807.html

Comment 9 errata-xmlrpc 2010-11-10 18:51:10 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0865 https://rhn.redhat.com/errata/RHSA-2010-0865.html

Comment 10 errata-xmlrpc 2010-11-10 19:07:27 UTC
This issue has been addressed in following products:

  Extras for Red Hat Enterprise Linux 6

Via RHSA-2010:0873 https://rhn.redhat.com/errata/RHSA-2010-0873.html

Comment 12 errata-xmlrpc 2010-12-01 21:49:01 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0935 https://rhn.redhat.com/errata/RHSA-2010-0935.html

Comment 13 errata-xmlrpc 2010-12-15 23:46:28 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5
  Extras for Red Hat Enterprise Linux 6

Via RHSA-2010:0987 https://rhn.redhat.com/errata/RHSA-2010-0987.html

Comment 15 errata-xmlrpc 2011-01-17 17:47:53 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2011:0152 https://rhn.redhat.com/errata/RHSA-2011-0152.html

Comment 16 errata-xmlrpc 2011-06-16 19:23:43 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2011:0880 https://rhn.redhat.com/errata/RHSA-2011-0880.html


Note You need to log in before you can comment on or make changes to this bug.